Subject: Re: [manet] marginal utility of retransmitting pkt after retrytimeout

From: Jim Kaba <[email-masked]>
Date: Tue, 13 Aug 2002 10:07:52 -0400

Hi Alvin,

  Thanks for running these simulations.

  Is there any chance you could run two more runs just to complete the
experiment (since you have the simulation setup handy...)?

  You've tested AODV to turn off link layer feedback entirely--can you
rerun the simulation with link-layer feedback turned on but with packet
salvaging turned off?

  You've tested DSR with just packet salvaging turned off--now can you
rerun the simulation with link layer feedback turned off entirely?

  These extra runs would give us a more complete picture of the performance
increase spectrum.

  The "link layer guys" and driver writers are agreeable to provide
feedback through appropriate mechanisms when the data is available, but
they usually need evidence for a pretty significant performance gain to
agree to it.

Jim

Alvin C Valera Alvin wrote:
> 
> Hi Jim,
> 
> I performed a simple "test" using AODV where the link layer does not
> provide any feedback to the network layer. I found out that there is a
> significant drop (around 24%) in terms of packet delivery ratio when
> AODV does not use link layer feedback. Note that the "test" scenario I
> used was not that "difficult" (i.e., 10 CBR sources only, 50 nodes,
> 1500x300m network, speed is from 0-20 m/s, 0-pause time). I expect that
> this drop would increase when the scenario is more difficult.
> 
> I think what you are referring to in your post is the "packet salvaging"
> feature of on-demand routing protocols. This feature was first
> introduced by DSR. Now, AODV also employs this feature. (I'm not sure if
> this is official though. But if you look at the latest ns simulation
> model of AODV, this feature is implemented.)
> 
> I tested DSR's packet salvaging, if it indeed offers improvement.
> Without packet salvaging, the PDR drops by around 8%. This is also quite
> significant considering that I used the "easy" 10-cbr source scenario.
> 
> Exactly how packet salvaging can be implemented in the real world is
> another problem (esp. if the LL does not provide feedback as you've
> mentioned). In the DSR draft, it suggests using a "retransmission
> buffer". If a packet in this buffer times out (that is, it is not
> successfully transmitted to a certain next hop node after so many
> retries), it is salvaged by changing the remaining part of the source
> route to some other source route if the node has an alternative route.
> 
> Cheers!
> Alvin

-- 
--------------------------------------------------------------
James T. Kaba                   
Sarnoff Corporation      Time flies like an arrow...
[email-masked]                ...Fruit flies like a banana!
609-734-2246

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Jim Kaba <[email-masked]>
Date: Tue, 13 Aug 2002 10:07:52 -0400

Hi Alvin,

Jim